var w = $(this).width();
var h = $(this).height();
var page_active = ""
var uri = $('.uri').data('uri');

$(window).on('load', function(){
    var heightImg = $(".content-img-lp").height();
    $(".content-3d").css({ height: heightImg })
    $(".act-img").addClass("active");
    page_active = $(".container-select-page").find(".active").data("page");
});

function GetStartPosition()
{
    if(uri == 'comprar')
        return 1;
    else
        return 0;
}


var owl = $('.carousel_banner').owlCarousel({
    autoplay:false,
    loop:false,
    nav:false,
    margin:0,
    mouseDrag: false,
    touchDrag: false,
    /*URLhashListener:true,
    startPosition: 'URLHash',*/
    startPosition: GetStartPosition(),
    autoplayHoverPause:false,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            nav:false,
            dots:false,
            mouseDrag: false,
            touchDrag: false,
        }
    }
});
//history.replaceState(null, null, ' ');

//var owl = $('.owl-carousel');
//owl.owlCarousel();
// Go to the next item
$('.page_anunciar').click(function() {
    //owl.trigger('next.owl.carousel');
    history.pushState('','', base_url + 'apresentacao/anunciar');
    owl.trigger('prev.owl.carousel', [300]);
})
// Go to the previous item

$('.page_comprar').click(function() {
    // With optional speed parameter
    // Parameters has to be in square bracket '[]'
    history.pushState('','', base_url + 'apresentacao/comprar');
    owl.trigger('next.owl.carousel');
    //owl.trigger('prev.owl.carousel', [300]);
})


$('#formHeader').submit(function(event){	
    event.preventDefault();
    
    $('.result_email').hide();
    loadButton($('.queroAnunciar'));
	var email = $('.emailAnunciar').val();
	
	$.ajax({
		url: base_url+'comdono/ajax/cad_ajax/set_email_campanha',
		dataType: 'json',
		type: 'POST',
		data: {email:email, origem: 'lp_anunciar'},
		success: function(retorno)
		{		
			if (retorno.valid === true)
			{
			    document.location.href = retorno.redirect;
			}
			else
			{
			    $('.result_email').show().html(retorno.msg);
			    loadButton(null,false);
			}
		},
		error: function(error)
		{
		    loadButton(null,false);
			
		}
	});
    
    
    
});

//select page

/*function(event) {
  event.preventDefault();*/

$(".page_comprar").on("click", function(e){
    e.preventDefault();
    console.log('page_comprar');
    $(".page_anunciar").removeClass("active");
    $(".page_comprar").addClass("active");
    
    //$(".pageComprador").show();
    //$(".pageVendedor").hide();
    //$(".bannerComprador").show("slide", { direction: "left" }, 1500);
    //$(".bannerVendedor").hide("slide", { direction: "left" }, 1500);
    
    
});

$(".page_anunciar").on("click", function(e){
    e.preventDefault();
    console.log('page_anunciar');
    

    
    $(".page_comprar").removeClass("active");
    $(".page_anunciar").addClass("active");
    
    //$(".pageComprador").hide();
    //$(".pageComprador").fadeOut(500);
    //$(".pageComprador").hide("slide", { direction: "" }, 1500);
    
    //$(".pageVendedor").show();
    //$(".pageVendedor").fadeIn(200);
    //$(".pageVendedor").show("slide", { direction: "left" }, 500);
    
});



/*$(".page_comprar").on("click", function(e){
    e.preventDefault();
    
    var page = $(this).data("page");
    
    $(".container_page_comprar").show('slow');
    $(".container_page_anunciar").hide();
    //transitionPage(page)
});

$(".page_anunciar").on("click", function(e){
    e.preventDefault();
    
    var page = $(this).data("page");
    
    
    $(".container_page_anunciar").show('slow');
    $(".container_page_comprar").hide();
     //transitionPage(page)
});*/

 

/*var owl = $('.getTransition');
owl.owlCarousel();
// Go to the next item
$('.page_anunciar').click(function() {
    owl.trigger('next.owl.carousel');
})
// Go to the previous item
$('.page_comprar').click(function() {
    // With optional speed parameter
    // Parameters has to be in square bracket '[]'
    owl.trigger('prev.owl.carousel', [300]);
})*/

function transitionPage(page){
    
    if(page == "comprar"){
        
        console.log(page_active);
        
        $('.container_page_comprar').css({"margin-right": '-='+w});
        if($(".container_page_comprar").css("display") == "none"){
            $(".container_page_comprar").show();
            $('.container_page_comprar').animate({"margin-right": '+='+w});
            $('.container_page_anunciar').animate({"margin-right": '+='+w});
            $(".container_page_anunciar").hide();
        }
    }
    else if(page == "anunciar"){
        
        console.log(page_active);
        
        $('.container_page_anunciar').css({"margin-right": '-='+w});
        if($(".container_page_anunciar").css("display") == "none"){
            $(".container_page_anunciar").show();
            $('.container_page_comprar').animate({"margin-right": '+='+w});
            $('.container_page_anunciar').animate({"margin-right": '+='+w});
            $(".container_page_comprar").hide();
        }
    }
}

/*function transitionPage(page){
    
    if(page == "comprar"){
        $('.container_page_comprar').css({"margin-right": '-='+w});
        if($(".container_page_comprar").css("display") == "none"){
            $('.container_page_comprar').animate({"margin-right": '+='+w});
            $('.container_page_anunciar').animate({"margin-right": '+='+w});
            $(".container_page_comprar").show();
            $(".container_page_anunciar").hide();
        }
    }else{
        $('.container_page_anunciar').css({"margin-right": '-='+w});
        if($(".container_page_anunciar").css("display") == "none"){
            $('.container_page_comprar').animate({"margin-right": '+='+w});
            $('.container_page_anunciar').animate({"margin-right": '+='+w});
            $(".container_page_anunciar").show();
            $(".container_page_comprar").hide();
        }
    }
}

function resetPage(){
    $('.container_page_comprar').css("margin-right", 0);
    $('.container_page_anunciar').css("margin-right", 0);
}*/

/*$('#pollSlider-button').click(function() {
    if($(this).css("margin-right") == "200px")
    {
        $('.pollSlider').animate({"margin-right": '-=200'});
        $('#pollSlider-button').animate({"margin-right": '-=200'});
    }
    else
    {
        $('.pollSlider').animate({"margin-right": '+=200'});
        $('#pollSlider-button').animate({"margin-right": '+=200'});
    }
});*/

//container actions
function showContainer(nClass)
{
    $(".content-img-lp").hide();
    $(".content-map").hide();
    $(".content-3d").hide();
    $(nClass).show();
}

function addActive(active){	
    $(active).parents(".container-actions").find(".item").removeClass("active");
    $(active).addClass("active");    
}

$(".act-img").on("click", function(){
    addActive($(this));
    showContainer(".content-img-lp");
});

$(".act-map").on("click", function(){
    addActive($(this));
    showContainer(".content-map");
});



$(".act-3d").on("click", function(){
    
    var heightImg = $(".content-img-lp").height();
    $(".content-3d").css({ height: heightImg })
    
    addActive($(this));
    showContainer(".content-3d");
    $("#tour-controls").trigger("click");
});